# rpmftsObject_s Struct Reference
[PYTHON-C Language Bindings.]

`#include <python/rpmfts-py.h>`

Collaboration diagram for rpmftsObject_s:

[legend]

## Data Fields

PyObject_HEAD PyObject * | md_dict
PyObject * | callbacks
const char ** | roots
int | options
int | ignore
int(* | compare )(const void *, const void *)
FTS * | ftsp
FTSENT * | fts
int | active

## Detailed Description

Definition at line 15 of file rpmfts-py.h.

## Field Documentation

int rpmftsObject_s::active

Definition at line 32 of file rpmfts-py.h.

Referenced by rpmfts_debug(), rpmfts_initialize(), rpmfts_iternext(), rpmfts_state(), and rpmfts_step().

PyObject* rpmftsObject_s::callbacks

Definition at line 18 of file rpmfts-py.h.

Referenced by rpmfts_new(), and rpmfts_traverse().

int(* rpmftsObject_s::compare)(const void *, const void *)

Referenced by rpmfts_initialize(), rpmfts_new(), and rpmfts_state().

FTSENT* rpmftsObject_s::fts

Definition at line 31 of file rpmfts-py.h.

Referenced by rpmfts_Children(), rpmfts_debug(), rpmfts_initialize(), rpmfts_new(), rpmfts_print(), rpmfts_Set(), rpmfts_state(), and rpmfts_step().

FTS* rpmftsObject_s::ftsp

Definition at line 29 of file rpmfts-py.h.

Referenced by rpmfts_Children(), rpmfts_debug(), rpmfts_initialize(), rpmfts_new(), rpmfts_print(), rpmfts_Set(), rpmfts_state(), and rpmfts_step().

int rpmftsObject_s::ignore

Definition at line 23 of file rpmfts-py.h.

Referenced by rpmfts_initialize(), and rpmfts_step().

PyObject_HEAD PyObject* rpmftsObject_s::md_dict

to look like PyModuleObject

Definition at line 17 of file rpmfts-py.h.

Referenced by rpmfts_new(), and rpmfts_traverse().

int rpmftsObject_s::options

Definition at line 22 of file rpmfts-py.h.

Referenced by rpmfts_initialize(), and rpmfts_state().

const char** rpmftsObject_s::roots

Definition at line 21 of file rpmfts-py.h.

Referenced by rpmfts_dealloc(), rpmfts_initialize(), rpmfts_new(), and rpmfts_state().

The documentation for this struct was generated from the following file:

- python/rpmfts-py.h